1. API Endpoints
Pix2DePix API
  • 📜 API Overview
  • Docs
    • 🔑 Authentication
    • 💻 Examples
    • 🪝 Webhook
    • ✅ Possible Statuses
      • 📥💰 Deposit Statuses
      • 📤💸 Withdraw Statuses
    • 🛡️ Security & Limits
      • ✅ Best Practices
      • 🪲 Bug Bounty
      • 🧱 Firewall
      • 🚦 API Limits
    • 🧩 Advanced (optional)
      • 🎲 Nonce
      • 🔀 Sync / Async call
    • 🚀 Features
      • ⏱️ QR Delay
      • 💬 Pix Messaging
      • 🔐 Pix2FA
  • API Endpoints
    • Ping
      GET
    • Deposit (PIX ➔ DePix)
      POST
    • Deposit Status
      GET
    • Deposits
      GET
    • User Info
      GET
    • Pix2FA
      POST
    • Withdraw
      POST
    • Withdraw Status
      GET
  • Schemas
    • AsyncResponse
    • AllPossibleObjResponses
    • StandardResponse
    • PingObjOrError
    • JWTClaims
    • ObjResponse
    • ErrorObj
    • PingObj
    • ErrorResponse
    • DepositRequest
    • DepositObjOrError
    • DepositObj
    • PingResponse
    • DepositResponse
    • DepositStatusObj
    • DepositStatusResponse
    • DepositWebhookBody
    • DepositsResponse
    • DepositStatus
    • UserInfoResponse
    • Pix2FAResponse
    • WithdrawStatusResponse
    • WithdrawStatusObj
    • WithdrawResponse
    • WithdrawObj
    • WithdrawStatus
    • WithdrawWebhookBody
    • MEDWebhookBody
  1. API Endpoints

Pix2FA

POST
pix2fa
For details about the Pix2FA feature, please refer to Pix2FA
This endpoint is used to verify a pending_pix2fa payment.
It confirms that the code provided by the end user matches the dynamic code embedded in the Pix transaction description, allowing the deposit to be finalized.

How it works#

After creating a deposit with Pix2FA enabled, the payment will enter a pending_pix2fa state.
The end user completes the Pix payment and retrieves the verification code from their banking app.
Your system must collect this code and send it to this endpoint for verification.
If the code is valid, the deposit is confirmed and processed.

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/json

Example
{
    "pixTwoFactorCode": "398978",
    "qrId": "019a98275b48759c89d02ee03341ac5d"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://depix.eulen.app/api/pix2fa' \
--header 'X-Nonce;' \
--header 'X-Async: auto' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "pixTwoFactorCode": "398978",
    "qrId": "019a98275b48759c89d02ee03341ac5d"
}'

Responses

🟢200Success
application/json
Headers

Body

Examples
{
    "response": {
        "message": "Transaction ID fitbank_EE36F4423AACC99EEE70001 verified pix2FA code successfully."
    },
    "async": false
}
🟠400
🟠401
🟠403
🔴500
🔴503
Modified at 2026-03-25 12:53:14
Previous
User Info
Next
Withdraw
Built with